Subject: [Uri-review] Update: provisional URI scheme 'ln' registration

From: Rolf-Jürgen Moll <[email-masked]>
Date: Sun, 14 Dec 2014 17:04:19 +0000

Hi,

please see below an updated version of the registration template.

I 'd like to stay with the URI scheme name "ln" as it fits the requirements of RFC 4395's Section 3 for provisional URI scheme registration:

- It meets the syntactical requirements of Section 2.8.
- There is not already an entry with the same URI scheme name.

There are some provisional URI schemes registered which are made up of only two characters: aw, gg.

URI scheme name
===============
ln

Status
======
provisional

URI scheme syntax
=================
ln:[//<server>[:<port>]/][<protocol>:]<type>/<resource>

URI scheme semantics
====================
The scheme is used to identify resources provided by the LucaNet.Server.

<server>
--------
DNS or IP address of the LucaNet.Server.

<port>
------
Port of the LucaNet.Server. If port is omitted, the value "80" will be assumed for the protocol "http" and the value "443" for the protocol "https".

<protocol>
----------
Allowed values are "http" and "https". This parameter is mandatory if an URI authority is provided, otherwise it must not be provided.

<type>
------

Type                             Description
-----------------------------------------------------------------------------------
imdb                             The URI identifies a resource in an IMDB module
                                 (IMDB: LucaNet In Memory Database).

imdb:<module_id>                 The URI identifies a resource in the IMDB module
                                 <module_id>.

imdb:<database_id>:<module_id>   The URI identifies a resource in the IMDB module
                                 <module_id> of the database <database_id>.

dt                               The URI identifies a data type resource.

icon                             The URI identifies an icon resource.

rf                               The URI identifies a row format resource.

Samples
-------
ln://192.168.0.1:81/http:imdb:x_adam:0/pEDskFm10tKkQOyQWbXS0g
ln://localhost/https:imdb:x_adam:0/pEDskFm10tKkQOyQWbXS0g

ln:imdb:x_adam:0/pEDskFm10tKkQOyQWbXS0g
ln:imdb:0/pEDskFm10tKkQOyQWbXS0g
ln:imdb:pEDskFm10tKkQOyQWbXS0g

ln:dt:12
ln:icon:8
ln:rf:1

Encoding considerations
=======================
<database_id> and <module_id> must not contain '/' and ':'.

Applications/protocols that use this URI scheme name
====================================================
LucaNet.Server

Interoperability considerations
===============================
If <server> and <protocol> are not specified, these information must be provided by the context, e.g. the URI points to a resource on the current LucaNet.Server.

If <module_id> and/or <databse_Id> is not specified, these information must be provided by the context, e.g. the URI points to a resource in the current IMDB module of the current database of the current LucaNet.Server.

Security considerations
=======================
-

Contact
=======
Rolf-Juergen Moll
mailto:info(at)lucanet.com
http://www.lucanet.com

Author/Change controller
========================
Rolf-Juergen Moll
mailto:info(at)lucanet.com
http://www.lucanet.com

References
==========
http://www.lucanet.com

Mit freundlichen Grüßen

ROLF-JÜRGEN MOLL
-------------------------------------------------------------------------------------------------
LucaNet AG
Alexanderplatz 1
10178 Berlin
Germany
Phone: +49 30 4699100
Fax: +49 30 46991029

www.lucanet.com
-------------------------------------------------------------------------------------------------
Executive Board: Rolf-Jürgen Moll, Oliver Schmitz, Dominik Duchon
Chairman of the Supervisory Board: David Worthmann
Company headquarters: Berlin
Register court: Berlin, Amtsgericht Berlin, HRB 97214
-------------------------------------------------------------------------------------------------

LucaNet – 15 years of expertise in financial consolidation, planning and controlling

Follow us on XING, Twitter, Google+, Facebook, YouTube and LinkedIn